'use strict';

const upath = require('./upath.js');
const cjs = require('./cjs.js');
const index = require('./index.js');
require('tty');

const build = index.defineNuxtCommand({
  meta: {
    name: "build",
    usage: "npx nuxi build [rootDir]",
    description: "Build nuxt for production deployment"
  },
  async invoke(args) {
    process.env.NODE_ENV = process.env.NODE_ENV || "production";
    const rootDir = upath.upath.resolve(args._[0] || ".");
    const { loadNuxt, buildNuxt } = cjs.requireModule("@nuxt/kit", rootDir);
    const nuxt = await loadNuxt({ rootDir });
    nuxt.hook("error", (err) => {
      index.error("Nuxt Build Error:", err);
      process.exit(1);
    });
    await buildNuxt(nuxt);
  }
});

exports['default'] = build;
